﻿Imports System.Security.Principal

Public Class frm_icon_changer
    Dim file_path As String = ""
    Dim icon_path As String = ""
    Public Function IsUserAdministrator() As Boolean
        Dim isAdmin As Boolean
        Try
            Dim user As WindowsIdentity = WindowsIdentity.GetCurrent()
            Dim principal As WindowsPrincipal = New WindowsPrincipal(user)
            isAdmin = principal.IsInRole(WindowsBuiltInRole.Administrator)
        Catch ex As UnauthorizedAccessException
            isAdmin = False
            MessageBox.Show(ex.Message)
        Catch ex As Exception
            isAdmin = False
            MessageBox.Show(ex.Message)
        End Try

        Return isAdmin

    End Function

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If IsUserAdministrator() Then
            OpenFileDialog_exe_path.ShowDialog()
            If OpenFileDialog_exe_path.FileName = "" Then
                MsgBox("Sie müssen eine Datei auswählen!", MsgBoxStyle.Critical)
                Exit Sub
            Else
                file_path = OpenFileDialog_exe_path.FileName
                OpenFileDialog_icon_path.ShowDialog()
                If OpenFileDialog_icon_path.FileName = "" Then
                    MsgBox("Sie müssen ein Icon auswählen!", MsgBoxStyle.Critical)
                    Exit Sub
                Else
                    icon_path = OpenFileDialog_icon_path.FileName

                    IconInjector.InjectIcon(file_path, icon_path)


                End If




            End If
        Else
            MsgBox("Sie müssen die Anwendung als Administrator starten!", MsgBoxStyle.Critical)
        End If
    End Sub
End Class
